tigase.jaxmpp.core.client.xmpp.modules.omemo

## Interface OmemoModule.CipherFactory

- Enclosing class:
    OmemoModule

      public static interface OmemoModule.CipherFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cipher` | `cipherInstance(int mode, SecretKeySpec secretKey, byte[] iv)`

- - ### Method Detail

    - #### cipherInstance

          Cipher cipherInstance(int mode,
                                SecretKeySpec secretKey,
                                byte[] iv)
                         throws NoSuchPaddingException,
                                NoSuchAlgorithmException,
                                NoSuchProviderException,
                                InvalidAlgorithmParameterException,
                                InvalidKeyException

      Throws:
        `NoSuchPaddingException`
        `NoSuchAlgorithmException`
        `NoSuchProviderException`
        `InvalidAlgorithmParameterException`
        `InvalidKeyException`

Copyright © 2006–2020 Tigase. All rights reserved.